Package com.avaya.clientservices.call

## Enum ChatError

- java.lang.Object
- - java.lang.Enum<ChatError>
  - - com.avaya.clientservices.call.ChatError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ChatError>`

      public enum ChatError
      extends java.lang.Enum<ChatError>

  Chat related error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAPABILITY_DENIED` | Chat operation is not executed due to capability denied.
    `FAILED` | Operation has failed.
    `NOT_AUTHORIZED` | Operation denied due to lack of authorization for the user to perform the operation.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `TIMEOUT` | Chat request timed out.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChatError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ChatError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final ChatError FAILED

      Operation has failed. It is a general error, no specific reason for it.

    - #### NOT_AUTHORIZED

          public static final ChatError NOT_AUTHORIZED

      Operation denied due to lack of authorization for the user to perform the operation.

    - #### TIMEOUT

          public static final ChatError TIMEOUT

      Chat request timed out.

    - #### CAPABILITY_DENIED

          public static final ChatError CAPABILITY_DENIED

      Chat operation is not executed due to capability denied.

    - #### PROXY_CONNECTION_ERROR

          public static final ChatError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final ChatError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

  - ### Method Detail

    - #### values

          public static ChatError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatError c : ChatError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null